
# Ansible Role: myrepos

## Requirements

None

## Role Variables

Available variables are listed below, along with default values (see `defaults/main.yml`):

    myrepo_base: ~/src

Define the base directory to create personal repositories

    myrepo_user: root

Define the owner of the repositories

    myrepo_catalogs: []
    # - src:
    #   dest: 
    # - src:
    #   dest:

Define a list of repositories. Each repository should be specified as an item with "src" and "dest" keys, representing the source and destination paths, respectively.

## Dependencies

None.

## Example Playbook

    - hosts: localhost
      vars_files:
        - vars/main.yml
      roles:
        - { role: glenux.myrepos }

*Inside `vars/main.yml`*:

    myrepo_catalogs:
      - src: bar
        dest: /foo/bar
      - src: foo
        dest: /foo/foo

## License

GPLv2

## Author Information

glenux
